Bug 44900 - Fix syntax error in ucs-school-radius-802.1x.postrm
Fix syntax error in ucs-school-radius-802.1x.postrm
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: Radius
UCS@school 4.1 R2
Other Linux
: P5 normal (vote)
: UCS@school 4.1 R2 v13
Assigned To: Sönke Schwardt-Krummrich
Florian Best
:
Depends on:
Blocks: 44901
  Show dependency treegraph
 
Reported: 2017-06-29 15:59 CEST by Sönke Schwardt-Krummrich
Modified: 2017-09-12 13:18 CEST (History)
0 users

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.017
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2017-06-29 15:59:09 CEST
There is a backslash too much in ucs-school-radius-802.1x.postrm.

--- a/ucs-school-4.1r2/ucs-school-radius-802.1x/debian/ucs-school-radius-802.1x.postrm
+++ b/ucs-school-4.1r2/ucs-school-radius-802.1x/debian/ucs-school-radius-802.1x.postrm
@@ -47,7 +47,7 @@ case "$1" in
 			security/packetfilter/package/ucs-school-radius-802.1x/udp/1813/all \
 			security/packetfilter/package/ucs-school-radius-802.1x/udp/1813/all/en \
 			security/packetfilter/package/ucs-school-radius-802.1x/udp/1814/all \
-			security/packetfilter/package/ucs-school-radius-802.1x/udp/1814/all/en \
+			security/packetfilter/package/ucs-school-radius-802.1x/udp/1814/all/en
 			[ -x "/etc/init.d/univention-firewall" ] && invoke-rc.d univention-firewall restart
 		;;
 esac
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2017-06-29 16:17:05 CEST
ucs-school-radius-802.1x.yaml:
r80635 | Bug #44900: updated advisory
r80631 | Bug #44900: fixed syntax error in postrm script

ucs-school-radius-802.1x (5.0.0-2):
r80631 | Bug #44900: fixed syntax error in postrm script

Package: ucs-school-radius-802.1x
Version: 5.0.0-2.16.201706291610
Branch: ucs_4.1-0
Scope: ucs-school-4.1r2
Comment 2 Florian Best univentionstaff 2017-06-29 16:56:36 CEST
OK: change looks good
OK: YAML
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2017-09-12 13:18:21 CEST
UCS@school 4.1 R2 v13 has been released.

http://docs.software-univention.de/changelog-ucsschool-4.1R2v13-de.html

If this error occurs again, please clone this bug.